tigase.auth

## Class TigaseSaslProvider

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<Object,Object>
    - - java.util.Properties
      - - java.security.Provider
        - - tigase.auth.TigaseSaslProvider

- All Implemented Interfaces:
    Serializable, Cloneable, Map<Object,Object>

      public class TigaseSaslProvider
      extends Provider

  Describe class TigaseSaslProvider here. Created: Sun Nov 5 22:31:20 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.security.Provider

      `Provider.Service`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FACTORY_KEY`

    - ### Fields inherited from class java.util.Properties

      `defaults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TigaseSaslProvider(Map<String,Object> settings)` Creates a new `TigaseSaslProvider` instance.

  - ### Method Summary

    - ### Methods inherited from class java.security.Provider

      `clear, elements, entrySet, get, getInfo, getName, getProperty, getService, getServices, getVersion, keys, keySet, load, put, putAll, putService, remove, removeService, toString, values`

    - ### Methods inherited from class java.util.Properties

      `getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clone, contains, containsKey, containsValue, equals, hashCode, isEmpty, rehash, size`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FACTORY_KEY

          public static final String FACTORY_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TigaseSaslProvider

          public TigaseSaslProvider(Map<String,Object> settings)

      Creates a new `TigaseSaslProvider` instance.
      Parameters:
        `settings` -

Copyright © 2013 Tigase. All rights reserved.